Get social network profiles for a company.
Returns a list of social network profiles associated with the specified company.
Endpoint
GET /api/v1/companies/:company_id/social_networks
Parameters
| Parameter | Type | In | Description |
|---|---|---|---|
company_id | integer | path | The unique identifier of the company. |
Code Examples
Get social networks
import requests
url = 'https://statsnet.co/api/v1/companies/12345/social_networks'
headers = {
'Authorization': 'Bearer sk_live_YOUR_KEY',
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers).json()
print(response)
const url = 'https://statsnet.co/api/v1/companies/12345/social_networks';
const response = await fetch(url, {
headers: {
'Authorization': 'Bearer sk_live_YOUR_KEY',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://statsnet.co/api/v1/companies/12345/social_networks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer sk_live_YOUR_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Response
Success response
{
"social_networks": [
{
"name": "instagram",
"identifier": "123456789012",
"account_name": "company",
"description": "Official company account",
"url": "https://instagram.com/company",
"email": "info@example.kz",
"website": "https://example.kz",
"jurisdiction": "kz",
"matched_contact": ["info@example.kz"]
}
]
}
Error Handling
Error response (403)
{
"status": 403,
"message": "access denied"
}